# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nexpose_thycotic/version'

Gem::Specification.new do |spec|
  spec.name          = "nexpose_thycotic"
  spec.version       = NexposeThycotic::VERSION
  spec.authors       = ["Damian Finol, Adam Robinson", "David Valente"]
  spec.email         = ["support@rapid7.com"]
  spec.summary       = %q{Nexpose Thycotic Gem Integration}
  spec.description   = %q{This gem allows Nexpose users to pull credentials from Thycotic SecretServer into Nexpose}
  spec.homepage      = 'http://www.rapid7.com/'
  spec.license       = "MIT"

  spec.files         = Dir['[A-Z]*'] + Dir['lib/**/*'] + Dir['bin/**']
  spec.files.reject! { |fn| fn.include? "CVS" }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'savon'
  spec.add_runtime_dependency 'nexpose', '~> 7.2'
  spec.add_runtime_dependency 'symmetric-encryption', '~> 3.9', '>= 3.9.0'
end
